Bug 1019544 - [abrt] ibus-libpinyin-1.6.91-2.fc19: pinyin::ChewingLengthIndexLevel::load: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 11 (SIGSEGV)
[abrt] ibus-libpinyin-1.6.91-2.fc19: pinyin::ChewingLengthIndexLevel::load: P...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:b9896382f566ee7f7d7a7161e1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 00:00 EDT by Huanshuai Li
Modified: 2015-02-17 12:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:42:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.25 KB, text/plain)
2013-10-16 00:00 EDT, Huanshuai Li
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-16 00:00 EDT, Huanshuai Li
no flags Details
File: core_backtrace (12.29 KB, text/plain)
2013-10-16 00:00 EDT, Huanshuai Li
no flags Details
File: dso_list (3.38 KB, text/plain)
2013-10-16 00:00 EDT, Huanshuai Li
no flags Details
File: environ (673 bytes, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: maps (14.62 KB, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: open_fds (658 bytes, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
File: var_log_messages (377 bytes, text/plain)
2013-10-16 00:01 EDT, Huanshuai Li
no flags Details
/home/jerry/.cache/ibus/libpinyin (6.06 KB, application/x-gzip)
2013-10-17 02:42 EDT, Huanshuai Li
no flags Details

  None (edit)
Description Huanshuai Li 2013-10-16 00:00:42 EDT
Description of problem:
after startup, at my opening every app that needs IMs

Version-Release number of selected component:
ibus-libpinyin-1.6.91-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin::ChewingLengthIndexLevel::load
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pinyin::ChewingLengthIndexLevel::load at chewing_large_table.cpp:818
 #1 pinyin::ChewingBitmapIndexLevel::load at chewing_large_table.cpp:733
 #2 load at ../src/storage/chewing_large_table.h:119
 #4 pinyin_init at pinyin.cpp:209
 #5 PY::LibPinyinBackEnd::initPinyinContext at PYLibPinyin.cc:69
 #6 PY::LibPinyinBackEnd::allocPinyinInstance at PYLibPinyin.cc:94
 #7 PY::LibPinyinFullPinyinEditor::LibPinyinFullPinyinEditor at PYPFullPinyinEditor.cc:32
 #8 PY::LibPinyinPinyinEngine::LibPinyinPinyinEngine at PYPPinyinEngine.cc:60
 #9 PY::ibus_pinyin_engine_constructor at PYEngine.cc:162
 #11 g_object_new_valist at gobject.c:1836

Potential duplicate: bug 901879
Comment 1 Huanshuai Li 2013-10-16 00:00:48 EDT
Created attachment 812730 [details]
File: backtrace
Comment 2 Huanshuai Li 2013-10-16 00:00:51 EDT
Created attachment 812731 [details]
File: cgroup
Comment 3 Huanshuai Li 2013-10-16 00:00:55 EDT
Created attachment 812732 [details]
File: core_backtrace
Comment 4 Huanshuai Li 2013-10-16 00:00:58 EDT
Created attachment 812733 [details]
File: dso_list
Comment 5 Huanshuai Li 2013-10-16 00:01:03 EDT
Created attachment 812734 [details]
File: environ
Comment 6 Huanshuai Li 2013-10-16 00:01:06 EDT
Created attachment 812735 [details]
File: exploitable
Comment 7 Huanshuai Li 2013-10-16 00:01:10 EDT
Created attachment 812736 [details]
File: limits
Comment 8 Huanshuai Li 2013-10-16 00:01:14 EDT
Created attachment 812737 [details]
File: maps
Comment 9 Huanshuai Li 2013-10-16 00:01:17 EDT
Created attachment 812738 [details]
File: open_fds
Comment 10 Huanshuai Li 2013-10-16 00:01:20 EDT
Created attachment 812739 [details]
File: proc_pid_status
Comment 11 Huanshuai Li 2013-10-16 00:01:24 EDT
Created attachment 812740 [details]
File: var_log_messages
Comment 12 Peng Wu 2013-10-16 00:54:03 EDT
Please upload /home/jerry/.cache/ibus/libpinyin to further analyze the problem.
Comment 13 Huanshuai Li 2013-10-16 02:27:26 EDT
but how to upload
Comment 14 Peng Wu 2013-10-16 03:12:22 EDT
Please use the following command to create a tar ball:
tar zcvf userdata.tar.gz ~/.cache/ibus/libpinyin/

Then use "Add an attachment" to upload it.
Comment 15 Huanshuai Li 2013-10-17 02:42:33 EDT
Created attachment 813198 [details]
/home/jerry/.cache/ibus/libpinyin

uploaded.
Comment 16 Peng Wu 2013-10-17 03:03:45 EDT
Before I fix this bug, please remove ~/.cache/ibus/libpinyin to work around it.
Comment 17 Peng Wu 2013-10-17 21:44:17 EDT
I checked with libpinyin user data files.
The minimal file size of user_pinyin_index.bin is 41K, your file size is 4.1K.
I guess there are some file corruption on your system.
Comment 18 Fedora End Of Life 2015-01-09 15:16:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 12:42:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.